
Core - Feature # 52547

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-10-05 Assigned To:
Updated: 2013-10-08 Due date:
PHP Version: 5.4
Complexity: hard
Sprint Focus:
Subject: ext:install Core update
Description

Related issues:
related to Installation and Upgrade Guide - Feature # 52732: Document Install... Resolved 2013-10-12
precedes Core - Feature # 52639: ext:install Environment variable to deactiva... Resolved 2013-10-09
precedes Core - Bug # 52638: ext:install Add registry entries if core update ... New 2013-10-09

Associated revisions
Revision 710b44e5 - 2013-10-08 00:14 - Christian Kuhn

[FEATURE] ext:install Core update

The patch provides the code infrastructure to test for possible
core updates using information from get.typo3.org and implements
a "one-click" update within "important actions".

The update itself is implemented as a list of ajax calls performed
after each other to have minimal impact and side effects to current
core code.

The service classes "CoreVersionService" and "CoreUpdateService" 
contain the main business logic and may be used in a reports module
or scheduler task later on.

Change-Id: I5947252ca805b237b513fdafcf2696e9da586fc0
Resolves: #52547
Releases: 6.2
Reviewed-on: https://review.typo3.org/24396
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 0eac3d91 - 2013-10-08 00:56 - Philipp Gampe

[BUGFIX] Follow-Up: ext:install Core update

Fix a small mistake in variable usage during creating of the
download directory.
Resolves: #52547
Releases: 6.2
Change-Id: I080d43edfe9d6921d0ccca28a34f42bdb788f630
Reviewed-on: https://review.typo3.org/24476
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

History
#1 - 2013-10-05 11:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24396

#2 - 2013-10-05 17:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24396

#3 - 2013-10-06 17:34 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24396

#4 - 2013-10-06 17:38 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24396

#5 - 2013-10-06 17:42 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24396

#6 - 2013-10-07 03:04 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24396

#7 - 2013-10-07 03:22 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24396

2015-08-04 2/4

https://review.typo3.org/24476
https://review.typo3.org/24396
https://review.typo3.org/24396
https://review.typo3.org/24396
https://review.typo3.org/24396
https://review.typo3.org/24396
https://review.typo3.org/24396
https://review.typo3.org/24396


#8 - 2013-10-07 03:48 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24396

#9 - 2013-10-07 20:10 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24396

#10 - 2013-10-07 20:18 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24396

#11 - 2013-10-07 21:42 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24396

#12 - 2013-10-08 00:33 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:710b44e58cc2354464f1e7e1e089c67f2c321a5d.

#13 - 2013-10-08 00:55 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24476

#14 - 2013-10-08 01:30 - Philipp Gampe
- Status changed from Under Review to Resolved

Applied in changeset commit:0eac3d919dbe5cc75e43bf66954ebe416851a803.

#15 - 2013-10-08 09:57 - Sascha Egerer

Testplan:

To test, just manipulate your version in core/Classes/Core/SystemEnvironmentBuilder.php to '6.2.0alpha2', the system should update to 6.2.0alpha3
then.

2015-08-04 3/4

https://review.typo3.org/24396
https://review.typo3.org/24396
https://review.typo3.org/24396
https://review.typo3.org/24396
https://review.typo3.org/24476


2015-08-04 4/4


